### Method

# Aravis Camera acquisition

since: 0.8.0

#### Declaration [src]

    ArvBuffer*
    arv_camera_acquisition (
      ArvCamera* camera,
      guint64 timeout,
      GError** error
    )

#### Description [src]

Acquire one image buffer.

<warning> <para>arv_camera_acquisition() sets the camera in SingleFrame acquisition mode. You may have to put back the camera in Continuous acquisition mode for later operations, using arv_camera_set_acquisition_mode().</para> </warning>.

Available since: 0.8.0

#### Parameters

`timeout`

  Type: `guint64`

  Acquisition timeout in µs. Zero means no timeout.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvBuffer`

A new `ArvBuffer`, NULL on error. The returned buffer must be freed using `g_object_unref()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.